Create a address
curl --request POST \
--url https://api-sandbox.synctera.com/v0/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address_type": "SHIPPING",
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"state": "NY",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"is_active": true,
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/addresses"
payload = {
"address_type": "SHIPPING",
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"state": "NY",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"is_active": True,
"is_registered_agent": True,
"nickname": "Home",
"postal_code": "28620"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address_type: 'SHIPPING',
address_line_1: '100 Main St.',
city: 'New York',
country_code: 'US',
state: 'NY',
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
address_line_2: 'Suite 99',
is_active: true,
is_registered_agent: true,
nickname: 'Home',
postal_code: '28620'
})
};
fetch('https://api-sandbox.synctera.com/v0/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address_type' => 'SHIPPING',
'address_line_1' => '100 Main St.',
'city' => 'New York',
'country_code' => 'US',
'state' => 'NY',
'business_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'customer_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'address_line_2' => 'Suite 99',
'is_active' => true,
'is_registered_agent' => true,
'nickname' => 'Home',
'postal_code' => '28620'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/addresses"
payload := strings.NewReader("{\n \"address_type\": \"SHIPPING\",\n \"address_line_1\": \"100 Main St.\",\n \"city\": \"New York\",\n \"country_code\": \"US\",\n \"state\": \"NY\",\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"address_line_2\": \"Suite 99\",\n \"is_active\": true,\n \"is_registered_agent\": true,\n \"nickname\": \"Home\",\n \"postal_code\": \"28620\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/addresses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address_type\": \"SHIPPING\",\n \"address_line_1\": \"100 Main St.\",\n \"city\": \"New York\",\n \"country_code\": \"US\",\n \"state\": \"NY\",\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"address_line_2\": \"Suite 99\",\n \"is_active\": true,\n \"is_registered_agent\": true,\n \"nickname\": \"Home\",\n \"postal_code\": \"28620\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address_type\": \"SHIPPING\",\n \"address_line_1\": \"100 Main St.\",\n \"city\": \"New York\",\n \"country_code\": \"US\",\n \"state\": \"NY\",\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"address_line_2\": \"Suite 99\",\n \"is_active\": true,\n \"is_registered_agent\": true,\n \"nickname\": \"Home\",\n \"postal_code\": \"28620\"\n}"
response = http.request(request)
puts response.read_body{
"creation_date": "2019-01-01T00:00:00Z",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"address_line_1": "100 Main St.",
"country_code": "US",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Addresses
Create a address
Create a address.
POST
/
addresses
Create a address
curl --request POST \
--url https://api-sandbox.synctera.com/v0/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address_type": "SHIPPING",
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"state": "NY",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"is_active": true,
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/addresses"
payload = {
"address_type": "SHIPPING",
"address_line_1": "100 Main St.",
"city": "New York",
"country_code": "US",
"state": "NY",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"is_active": True,
"is_registered_agent": True,
"nickname": "Home",
"postal_code": "28620"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address_type: 'SHIPPING',
address_line_1: '100 Main St.',
city: 'New York',
country_code: 'US',
state: 'NY',
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
address_line_2: 'Suite 99',
is_active: true,
is_registered_agent: true,
nickname: 'Home',
postal_code: '28620'
})
};
fetch('https://api-sandbox.synctera.com/v0/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.synctera.com/v0/addresses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address_type' => 'SHIPPING',
'address_line_1' => '100 Main St.',
'city' => 'New York',
'country_code' => 'US',
'state' => 'NY',
'business_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'customer_id' => '7d943c51-e4ff-4e57-9558-08cab6b963c7',
'address_line_2' => 'Suite 99',
'is_active' => true,
'is_registered_agent' => true,
'nickname' => 'Home',
'postal_code' => '28620'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.synctera.com/v0/addresses"
payload := strings.NewReader("{\n \"address_type\": \"SHIPPING\",\n \"address_line_1\": \"100 Main St.\",\n \"city\": \"New York\",\n \"country_code\": \"US\",\n \"state\": \"NY\",\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"address_line_2\": \"Suite 99\",\n \"is_active\": true,\n \"is_registered_agent\": true,\n \"nickname\": \"Home\",\n \"postal_code\": \"28620\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.synctera.com/v0/addresses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address_type\": \"SHIPPING\",\n \"address_line_1\": \"100 Main St.\",\n \"city\": \"New York\",\n \"country_code\": \"US\",\n \"state\": \"NY\",\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"address_line_2\": \"Suite 99\",\n \"is_active\": true,\n \"is_registered_agent\": true,\n \"nickname\": \"Home\",\n \"postal_code\": \"28620\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.synctera.com/v0/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address_type\": \"SHIPPING\",\n \"address_line_1\": \"100 Main St.\",\n \"city\": \"New York\",\n \"country_code\": \"US\",\n \"state\": \"NY\",\n \"business_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"customer_id\": \"7d943c51-e4ff-4e57-9558-08cab6b963c7\",\n \"address_line_2\": \"Suite 99\",\n \"is_active\": true,\n \"is_registered_agent\": true,\n \"nickname\": \"Home\",\n \"postal_code\": \"28620\"\n}"
response = http.request(request)
puts response.read_body{
"creation_date": "2019-01-01T00:00:00Z",
"is_active": true,
"last_updated_time": "2010-05-06T12:23:34.321Z",
"address_line_1": "100 Main St.",
"country_code": "US",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Authorizations
Body
application/json
Address to create
Response
Created address
Was this page helpful?

